<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.gh.gamecenter">

    <queries>
        <package android:name="com.gh.gamecenter" />
    </queries>

    <queries>
        <package android:name="com.lg.vspace" />
    </queries>

    <!-- 允许应用程序访问网络连接 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!-- 允许应用程序写入外部存储，如SD卡上写文件 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!-- 允许应用程序读取扩展存储器 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <!-- 允许应用程序访问Wi-Fi网络状态信息 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!-- 允许应用程序获取网络信息状态 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!-- 允许访问振动设备 -->
    <uses-permission android:name="android.permission.VIBRATE" />
    <!-- 允许应用程序改变Wi-Fi连接状态 -->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <!-- 允许应用程序改变网络连接状态 -->
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <!-- 允许应用程序快捷方式 -->
    <uses-permission android:name="com.android.launcher.permission.INSTALL_SHORTCUT" />
    <!-- 应用安装相关 -->
    <uses-permission android:name="com.android.permission.GET_INSTALLED_APPS" />

    <!-- 前台服务权限-->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <uses-permission
        android:name="android.permission.PACKAGE_USAGE_STATS"
        tools:ignore="ProtectedPermissions" />

    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

    <uses-permission android:name="android.permission.REQUEST_DELETE_PACKAGES" />

    <!-- 如果有视频相关的广告且使用textureView播放，请务必添加，否则黑屏 -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />

    <uses-sdk tools:overrideLibrary="
        com.shuyu.gsyvideoplayer,
        com.shuyu.gsyvideoplayer.lib,
        com.haroldadmin.whatthestack,
        com.shuyu.gsyvideoplayer.armv7a,
        com.shuyu.gsyvideoplayer.x86,
        com.shuyu.gsy.base,
        shuyu.com.androidvideocache,
        com.google.android.exoplayer2,
        tv.danmaku.ijk.media.exo2,
        pl.droidsonroids.gif,
        com.lzf.easyfloat,
        com.airbnb.lottie.compose,
        androidx.compose.ui.platform,
        androidx.compose.material.icons,
        androidx.activity.compose,
        androidx.compose.ui.tooling,
        androidx.compose.ui.tooling.data,
        androidx.compose.material.ripple,
        androidx.compose.foundation,
        androidx.compose.animation,
        androidx.compose.foundation.layout,
        androidx.compose.ui.text,
        androidx.compose.ui.graphics,
        androidx.compose.ui.unit,
        androidx.compose.ui.util,
        androidx.compose.ui.geometry,
        androidx.compose.runtime.saveable,
        androidx.compose.animation.core,
        androidx.constraintlayout.compose,
        androidx.compose.ui.test.manifest,
        androidx.compose.ui.tooling.preview" />

    <!-- 去掉 SDK 一些流氓权限 -->
    <uses-permission
        android:name="android.permission.READ_CONTACTS"
        tools:node="remove" />

    <uses-permission
        android:name="android.permission.READ_PHONE_STATE"
        tools:node="remove" />

    <uses-permission
        android:name="android.permission.GET_TASKS"
        tools:node="remove" />

    <supports-screens
        android:anyDensity="true"
        android:largeScreens="true"
        android:normalScreens="true"
        android:resizeable="true"
        android:smallScreens="true" />

    <!--android:largeHeap = "true"-->
    <application
        android:name="com.halo.assistant.HaloApp"
        android:allowBackup="true"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:resizeableActivity="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:theme="@style/AppCompatTheme.APP"
        tools:replace="android:name,android:allowBackup"
        tools:targetApi="n">

        <meta-data
            android:name="io.sentry.auto-init"
            android:value="false" />

        <!-- 不让 sentry 读取系统事件 -->
        <meta-data
            android:name="io.sentry.breadcrumbs.system-events"
            android:value="false" />

        <service android:name="com.gh.ndownload.NDownloadService" />

        <activity
            android:name="com.gh.gamecenter.SplashScreenActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Launcher">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

        </activity>

        <activity
            android:name="com.gh.gamecenter.MainActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppCompatTheme.APP"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.gh.gamecenter.DownloadManagerActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.ImageViewerActivity"
            android:theme="@style/Theme.Transparent" />

        <activity
            android:name="com.gh.gamecenter.SearchActivity"
            android:configChanges="keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppCompatTheme.APP" />

        <activity
            android:name="com.gh.gamecenter.amway.search.AmwaySearchActivity"
            android:configChanges="keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppCompatTheme.APP" />

        <activity
            android:name="com.gh.gamecenter.ShellActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.gamedetail.history.HistoryApkListActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.NewsDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.ConcernActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.subject.SubjectActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.NewsSearchActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name="com.gh.gamecenter.GameNewsActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.CropImageActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.WebActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.SingletonWebActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.FullScreenWebActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.ShareCardPicActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.ShareCardActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.MessageDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/TransparentStatusBarAndNavigationBar" />

        <activity
            android:name="com.gh.gamecenter.LibaoActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name="com.gh.gamecenter.LibaoDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.ShareGhActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.CleanApkActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.SelectUserIconActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.CommentDetailActivity"
            android:screenOrientation="portrait"
            android:theme="@style/TransparentStatusBarAndNavigationBar" />

        <activity
            android:name="com.gh.gamecenter.mygame.MyGameActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.GameDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.VoteActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize" />

        <activity
            android:name="com.gh.gamecenter.WeiBoShareActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name=".category.CategoryDirectoryActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".category.CategoryListActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.UserInfoActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.UserRegionActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.CollectionActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.MessageActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.UserInfoEditActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name="com.gh.gamecenter.qa.answer.detail.AnswerDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.answer.edit.AnswerEditActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.ConcernInfoActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.InfoActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.MessageKeFuActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.MessageInviteActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.MessageVoteActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.questions.invite.QuestionsInviteActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.myqa.MyAskActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.questions.edit.QuestionEditActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.servers.add.AddKaiFuActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name="com.gh.gamecenter.servers.patch.PatchKaifuActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.BlockActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.amway.AmwayActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.personalhome.fans.FansActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.personalhome.followers.FollowersActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.personalhome.UserHomeActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.article.edit.ArticleEditActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.article.MyArticleActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.article.draft.ArticleDraftActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.article.detail.ArticleDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.draft.CommunityDraftWrapperActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.gamedetail.rating.edit.RatingEditActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateVisible" />

        <activity
            android:name="com.gh.gamecenter.qa.editor.InsertAnswerWrapperActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.editor.GameActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.editor.InsertArticleWrapperActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.gamedetail.rating.RatingReplyActivity"
            android:screenOrientation="portrait"
            android:theme="@style/TransparentStatusBarAndNavigationBar" />

        <activity
            android:name="com.gh.gamecenter.history.HistoryActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.personalhome.rating.RatingActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.gamedetail.rating.logs.CommentLogsActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.tag.TagsActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.video.videomanager.VideoManagerActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.video.upload.view.UploadVideoActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name="com.gh.gamecenter.video.game.GameVideoActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.editor.LocalMediaActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.servers.GameServersActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.game.columncollection.detail.ColumnCollectionDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.game.upload.GameSubmissionActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.halo.assistant.fragment.user.UserPortraitCropImageActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.comment.CommentActivity"
            android:theme="@style/Theme.Transparent"
            android:windowSoftInputMode="adjustNothing" />

        <activity
            android:name=".qa.dialog.ChooseForumActivity"
            android:theme="@style/Theme.Transparent"
            android:windowSoftInputMode="adjustNothing" />

        <activity
            android:name="com.gh.gamecenter.video.detail.VideoDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/TransparentStatusBarAndNavigationBar" />
        <activity
            android:name=".gamedetail.myrating.MyRatingActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.gamedetail.fuli.kaifu.ServersCalendarActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.answer.draft.AnswerDraftActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".gamedetail.rating.RatingFoldActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".video.data.VideoDataActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".video.poster.PosterEditActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".video.poster.PosterClipActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".forum.detail.ForumDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".forum.moderator.ModeratorListActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".forum.moderator.ApplyModeratorActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".video.label.VideoLabelActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".personalhome.border.AvatarBorderActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".personalhome.background.PersonalityBackgroundActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".personalhome.background.BackgroundPreviewActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".personalhome.background.BackgroundClipActivity"
            android:screenOrientation="portrait"
            android:theme="@style/TransparentStatusBarAndNavigationBar" />

        <activity
            android:name=".simulatorgame.SimulatorGameActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".simulatorgame.SimulatorManagementActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".catalog.CatalogActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".catalog.NewCatalogListActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".forum.search.ForumOrUserSearchActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.questions.draft.QuestionDraftActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".servers.GameServerTestActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".category2.CategoryV2Activity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".personal.DeliveryInfoActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.editor.PreviewVideoActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.video.publish.VideoPublishActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.video.detail.ForumVideoDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".video.videomanager.VideoDraftActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.questions.newdetail.NewQuestionDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.editor.FullScreenVideoActivity"
            android:theme="@style/AppFullScreenTheme" />

        <activity
            android:name=".forum.list.ForumListActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.answer.detail.SimpleAnswerDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".game.commoncollection.detail.CommonCollectionDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".gamecollection.detail.GameCollectionDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".gamecollection.detail.GameCollectionPosterActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".home.skip.PackageSkipActivity"
            android:screenOrientation="portrait" />

        <!--        &lt;!&ndash; 使用小米/华为推送弹窗功能提高推送成功率&ndash;&gt;-->
        <!--        <activity-->
        <!--            android:name="com.gh.gamecenter.PushProxyActivity"-->
        <!--            android:exported="true"-->
        <!--            android:launchMode="singleTask"-->
        <!--            android:theme="@android:style/Theme.Translucent" />-->

        <activity
            android:name="com.gh.gamecenter.SkipActivity"
            android:exported="true"
            android:theme="@style/Theme.AppCompat.Light.Fullscreen.Transparent">
            <intent-filter>
                <data android:scheme="ghzhushou" />

                <category android:name="android.intent.category.DEFAULT" />
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.BROWSABLE" />
            </intent-filter>

            <intent-filter>
                <data android:scheme="market" />

                <category android:name="android.intent.category.DEFAULT" />
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.BROWSABLE" />
            </intent-filter>
        </activity>

        <!--    光环助手授权登陆页面    -->
        <activity
            android:name=".authorization.AuthorizationActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait">
            <intent-filter>
                <data android:scheme="ghzhushou_authorization" />
                <category android:name="android.intent.category.DEFAULT" />
                <action android:name="android.intent.action.VIEW" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.gh.gamecenter.teenagermode.TeenagerModeActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".gamecollection.publish.GameCollectionEditActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".gamecollection.choose.ChooseGamesActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".gamecollection.choose.AddGamesActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".gamecollection.mine.MyGameCollectionActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.gamecollection.square.GameCollectionSquareActivity"
            android:screenOrientation="portrait" />


        <activity
            android:name="com.gh.gamecenter.gamecollection.tag.GameCollectionTagSelectActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.editor.InsertGameCollectionWrapperActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.editor.InsertVideoWrapperActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.toolbox.ToolBoxBlockActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.vspace.VDownloadManagerActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.vspace.VSpaceLoadingActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.qa.subject.CommunitySubjectActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".qa.comment.NewCommentDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.gh.gamecenter.mypost.MyPostActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".VerifyPhoneActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".BbsCertificationActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".discovery.DiscoveryActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".cloudarchive.CloudArchiveManagerActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".savegame.GameArchiveListActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".discovery.interestedgame.InterestedGameActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".servers.gametest2.GameServerTestV2Activity"
            android:screenOrientation="portrait" />


        <!--        <activity-->
        <!--            android:name="${applicationId}.douyinapi.DouYinEntryActivity"-->
        <!--            android:launchMode="singleTask"-->
        <!--            android:taskAffinity="${applicationId}"-->
        <!--            android:exported="true" />-->

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <provider
            android:name="com.gh.gamecenter.provider.GhContentProvider"
            android:authorities="${applicationId}.provider"
            android:enabled="true"
            android:exported="true" />

        <provider
            android:name="com.gh.vspace.VFileProvider"
            android:authorities="${applicationId}.virtual_file_provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>


        <service
            android:name=".aidl.CommunicationService"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="com.gh.gamecenter.aidl.CommunicationService" />
            </intent-filter>
        </service>

        <!--        <provider-->
        <!--            android:name="androidx.startup.InitializationProvider"-->
        <!--            android:authorities="${applicationId}.androidx-startup"-->
        <!--            android:exported="false"-->
        <!--            tools:node="merge">-->
        <!--            &lt;!&ndash; If you are using androidx.startup to initialize other components &ndash;&gt;-->
        <!--            <meta-data-->
        <!--                android:name="androidx.work.WorkManagerInitializer"-->
        <!--                android:value="androidx.startup"-->
        <!--                tools:node="remove" />-->
        <!--        </provider>-->

        <receiver
            android:name="com.gh.gamecenter.receiver.DownloadReceiver"
            android:exported="false">
            <intent-filter>
                <action android:name="com.gh.gamecenter.DOWNLOAD" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.gh.gamecenter.receiver.InstallReceiver"
            android:exported="false">
            <intent-filter>
                <action android:name="com.gh.gamecenter.INSTALL" />
            </intent-filter>
        </receiver>

        <receiver
            android:name="com.gh.gamecenter.receiver.ActivitySkipReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="com.gh.gamecenter.ACTIVITYSKIP" />
            </intent-filter>
        </receiver>

        <!-- 梦工厂配置 开始 -->
        <!--<meta-data
            android:name="MGC_APPID"
            android:value="1001276" />

        <provider
            android:name="com.leto.game.base.provider.LetoFileProvider"
            android:authorities="${applicationId}.leto.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/leto_file_path"
                tools:replace="android:resource" />
        </provider>-->
        <!-- 梦工厂配置 结束 -->

        <!-- 穿山甲配置 开始 -->
        <!--<provider
            android:name="com.bytedance.sdk.openadsdk.TTFileProvider"
            android:authorities="${applicationId}.TTFileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <provider
            android:name="com.bytedance.sdk.openadsdk.multipro.TTMultiProvider"
            android:authorities="${applicationId}.TTMultiProvider"
            android:exported="false" />-->
        <!-- 穿山甲配置 结束 -->
    </application>

</manifest>